# class Crystal::Macros::MacroIf

- Crystal::Macros::MacroIf
- Crystal::Macros::ASTNode

##
Overview

An `if` inside a macro, e.g.

    {% if cond %}
      puts "Then"
    {% else %}
      puts "Else"
    {% end %}

##
Defined in:

compiler/crystal/macros.cr

##
Instance Method Summary

- #cond : ASTNode

  The condition of the `if` clause.

- #else : ASTNode

  The `#else` branch of the `if`.

- #then : ASTNode

  The `#then` branch of the `if`.

### Instance methods inherited from class `Crystal::Macros::ASTNode`

!=(other : ASTNode) : BoolLiteral !=, ==(other : ASTNode) : BoolLiteral ==, class_name : StringLiteral class_name, column_number : StringLiteral | NilLiteral column_number, doc : StringLiteral doc, doc_comment : MacroId doc_comment, end_column_number : StringLiteral | NilLiteral end_column_number, end_line_number : StringLiteral | NilLiteral end_line_number, filename : StringLiteral | NilLiteral filename, id : MacroId id, is_a?(type : TypeNode) : BoolLiteral is_a?, line_number : StringLiteral | NilLiteral line_number, nil? : BoolLiteral nil?, raise(message) : NoReturn raise, stringify : StringLiteral stringify, symbolize : SymbolLiteral symbolize, warning(message : StringLiteral) : NilLiteral warning

##
Instance Method Detail

def cond : ASTNode #

The condition of the `if` clause.

def else : ASTNode #

The `#else` branch of the `if`.

def then : ASTNode #

The `#then` branch of the `if`.